Class RestEndpointBuilderFactory.RestHeaderNameBuilder
- java.lang.Object
-
- org.apache.camel.builder.endpoint.dsl.RestEndpointBuilderFactory.RestHeaderNameBuilder
-
- Enclosing interface:
- RestEndpointBuilderFactory
public static class RestEndpointBuilderFactory.RestHeaderNameBuilder extends Object
The builder of headers' name for the REST component.
-
-
Constructor Summary
Constructors Constructor Description RestHeaderNameBuilder()
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description Stringaccept()The media type such as: 'text/xml', or 'application/json' this REST service accepts.StringcontentType()The media type such as: 'text/xml', or 'application/json' this REST service returns.StringhttpMethod()The method should be in upper case.StringhttpResponseCode()The http response code.StringrestHttpQuery()The query parameters for the rest call to be used.StringrestHttpUri()The http uri for the rest call to be used.
-
-
-
Method Detail
-
restHttpQuery
public String restHttpQuery()
The query parameters for the rest call to be used. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
RestHttpQuery.
-
restHttpUri
public String restHttpUri()
The http uri for the rest call to be used. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
RestHttpUri.
-
httpMethod
public String httpMethod()
The method should be in upper case. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
HttpMethod.
-
contentType
public String contentType()
The media type such as: 'text/xml', or 'application/json' this REST service returns. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
Content-Type.
-
accept
public String accept()
The media type such as: 'text/xml', or 'application/json' this REST service accepts. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
Accept.
-
httpResponseCode
public String httpResponseCode()
The http response code. The option is a:Integertype. Group: producer- Returns:
- the name of the header
HttpResponseCode.
-
-